const api = {
    key: '1ef1a206056c9d25a3955a4bdfdd719e',
    baseurl: 'https://api.openweathermap.org/data/2.5/'
};

const searchBox = document.querySelector('.search-box');
searchBox.addEventListener("keydown", setQuery);

function setQuery(e){
    // console.warn(e);
    if(e.keyCode == 13){
        getResults(searchBox.value)
        console.log(searchBox.value)
        alert(searchBox.value)
    }
}

function getResults(query){
    const url = `${api.baseurl}weather?q=${query}&units=metric&APPID=${api.key}`
    fetch(url)
    .then((weather) => {
        return weather.json();
    })
    .then(displayResults);
}

function displayResults(weather){
    console.log(weather);
}